Siduction Forum

Siduction Forum => Upgrade Warnings (DE / EN) => Topic started by: Santa on 2015/02/11, 17:00:30

Title: KDE Frameworks 5.6.0 + Plasma 5.2.0 + KDE Applications 14.12.2
Post by: Santa on 2015/02/11, 17:00:30
Hi,


There is a new batch of updates in kdenext/kde-frameworks. Updated installation intructions are available here:
https://community.kde.org/Plasma/InstallingNext#siduction (https://community.kde.org/Plasma/InstallingNext#siduction)

For the first time in siduction, there are some applications already ported to frameworks, like konsole. However most of them still rely on the old kdelibs from KDE SC 4.

Cheers.
Title: Re: KDE Frameworks 5.6.0 + Plasma 5.2.0 + KDE Applications 14.12.2
Post by: reddark on 2015/02/11, 19:25:54
Sorry, my english is verry bad.  ;)
I got this message. What do I do?

Code: [Select]
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
nicht erstellt wurden oder Incoming noch nicht verlassen haben.
Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 plasma-desktop-data : Beschädigt: kde-workspace-data (< 4:5.0.0) aber 4:4.11.13-2.1 soll installiert werden
E: Fehler: Unterbrechungen durch pkgProblemResolver::Resolve hervorgerufen; dies könnte durch zurückgehaltene Pakete verursacht worden sein.
Title: Re: KDE Frameworks 5.6.0 + Plasma 5.2.0 + KDE Applications 14.12.2
Post by: Santa on 2015/02/11, 19:35:08
Sorry, my english is verry bad.  ;)
I got this message. What do I do?

Code: [Select]
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
nicht erstellt wurden oder Incoming noch nicht verlassen haben.
Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 plasma-desktop-data : Beschädigt: kde-workspace-data (< 4:5.0.0) aber 4:4.11.13-2.1 soll installiert werden
E: Fehler: Unterbrechungen durch pkgProblemResolver::Resolve hervorgerufen; dies könnte durch zurückgehaltene Pakete verursacht worden sein.


Please execute apt-get or aptitude with LANG=C, this way
Code: [Select]
LANG=C apt-get dist-upgrade

and paste the output again (which this time should be in english because I don't understand german).
Title: Re: KDE Frameworks 5.6.0 + Plasma 5.2.0 + KDE Applications 14.12.2
Post by: reddark on 2015/02/11, 19:54:18
Code: [Select]
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 plasma-desktop-data : Breaks: kde-workspace-data (< 4:5.0.0) but 4:4.11.13-2.1 is to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
Title: Re: KDE Frameworks 5.6.0 + Plasma 5.2.0 + KDE Applications 14.12.2
Post by: dibl on 2015/02/11, 20:49:45
Here it is on a VM:

Code: [Select]
System:    Host: dec-kde5 Kernel: 3.19-0.towo-siduction-amd64 x86_64 (64 bit gcc: 4.9.2) Desktop: KDE 5
           Distro: siduction 13.2.1 December - kde - (201401272125)
Machine:   System: VMware product: VMware Virtual Platform
           Mobo: Intel model: 440BX Desktop Reference Platform Bios: Phoenix v: 6.00 date: 05/20/2014
CPU:       Single core Intel Core i7-4770 (-UP-) cache: 8192 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3) bmips: 7803 speed: 3900 MHz (max)                 
Graphics:  Card: VMware SVGA II Adapter bus-ID: 00:0f.0                                                       
           Display Server: X.Org 1.16.4 driver: vmware Resolution: 1680x1050@59.95hz                         
           GLX Renderer: Gallium 0.4 on llvmpipe (LLVM 3.5, 256 bits)                                         
           GLX Version: 3.0 Mesa 10.4.2 Direct Rendering: Yes                                                 
Network:   Card: Intel 82545EM Gigabit Ethernet Controller (Copper)                                           
           driver: e1000 v: 7.3.21-k8-NAPI port: 2000 bus-ID: 02:01.0                                         
           IF: eth0 state: up speed: 1000 Mbps duplex: full mac: 00:0c:29:bd:ba:01
Drives:    HDD Total Size: 17.2GB (64.1% used) ID-1: model: VMware_Virtual_S
Info:      Processes: 131 Uptime: 2:16 Memory: 511.0/992.4MB Init: systemd runlevel: 5 Gcc sys: 4.9.2
           Client: Shell (sh) inxi: 2.2.18


@reddark,  you may have a problem with your repos.  I can install both packages and there is no conflict:

Code: [Select]
    root@dec-kde5:/home/don# apt-cache policy kde-workspace-data   
kde-workspace-data:
  Installed: 4:5.2.0-siduction0.1
  Candidate: 4:5.2.0-siduction0.1
  Version table:
 *** 4:5.2.0-siduction0.1 0
        500 http://packages.siduction.org/kdenext/ kde-frameworks/main amd64 Packages
        100 /var/lib/dpkg/status
     4:4.11.13-2.1 0
        500 http://ftp.spline.de/pub/siduction/fixes/ unstable/main amd64 Packages
     4:4.11.13-2 0
        500 http://http.debian.net/debian/ unstable/main amd64 Packages
     4:4.11.11-90r0 0
        500 http://ftp.spline.de/pub/siduction/kdenext/ unstable/main amd64 Packages
root@dec-kde5:/home/don# apt-cache policy plasma-desktop-data   
plasma-desktop-data:
  Installed: 4:5.2.0-siduction0.1
  Candidate: 4:5.2.0-siduction0.1
  Version table:
 *** 4:5.2.0-siduction0.1 0
        500 http://packages.siduction.org/kdenext/ kde-frameworks/main amd64 Packages
        100 /var/lib/dpkg/status


 @Santa -- I still don't see a working kdesu or kdesudo.  kdesudo {package} will bring up the prompt for root password, but then it crashes silently.
Title: Re: KDE Frameworks 5.6.0 + Plasma 5.2.0 + KDE Applications 14.12.2
Post by: reddark on 2015/02/11, 21:14:33
Code: [Select]
# apt-cache policy kde-workspace-data
kde-workspace-data:
  Installiert:           4:4.11.13-2.1
  Installationskandidat: 4:5.2.0-siduction0.1
  Versionstabelle:
     4:5.2.0-siduction0.1 0
        500 http://packages.siduction.org/kdenext/ kde-frameworks/main amd64 Packages
 *** 4:4.11.13-2.1 0
        500 http://packages.siduction.org/fixes/ unstable/main amd64 Packages
        100 /var/lib/dpkg/status
     4:4.11.13-2 0
        500 http://ftp.de.debian.org/debian/ unstable/main amd64 Packages
        500 http://ftp.de.debian.org/debian/ testing/main amd64 Packages
     4:4.11.11-90r0 0
        500 http://packages.siduction.org/kdenext/ unstable/main amd64 Packages
     4:4.11.2-90r1 0
        500 http://packages.siduction.org/extra/ next/main amd64 Packages
root@laptop1:/home/ich# apt-cache policy plasma-desktop-data
plasma-desktop-data:
  Installiert:           (keine)
  Installationskandidat: 4:5.2.0-siduction0.1
  Versionstabelle:
     4:5.2.0-siduction0.1 0
        500 http://packages.siduction.org/kdenext/ kde-frameworks/main amd64 Packages
Title: Re: KDE Frameworks 5.6.0 + Plasma 5.2.0 + KDE Applications 14.12.2
Post by: dibl on 2015/02/11, 21:19:00
Hmmmm.


You don't have kde-workspace-data ver. 4.11.13-xxx on hold, do you?


Maybe try removing plasma-desktop-data first, then try to install kde-workspace-data ver. 5.2.0-siduction0.1.  If that works, then you should be able to install plasma-desktop-data.
Title: Re: KDE Frameworks 5.6.0 + Plasma 5.2.0 + KDE Applications 14.12.2
Post by: reddark on 2015/02/11, 21:31:17
No holds ..

I'll try tomorrow times. Thanks for the suggestions ..  :)
Title: Re: KDE Frameworks 5.6.0 + Plasma 5.2.0 + KDE Applications 14.12.2
Post by: devil on 2015/02/11, 23:46:49
Fresh bare metall install, upgrade to kdenext, then to kf5 - no issues during the upgrade at all. So far - so good.


greetz
devil
Title: Re: KDE Frameworks 5.6.0 + Plasma 5.2.0 + KDE Applications 14.12.2
Post by: dibl on 2015/02/12, 00:04:02
@devil, try kdesu and/or kdesudo -- does it work on your system?

Title: Re: KDE Frameworks 5.6.0 + Plasma 5.2.0 + KDE Applications 14.12.2
Post by: devil on 2015/02/12, 08:18:36
kdesu [app] - command not found
kdesudo [app] - crashes


greetz
devil

Title: Re: KDE Frameworks 5.6.0 + Plasma 5.2.0 + KDE Applications 14.12.2
Post by: hendrikL on 2015/02/12, 09:13:24
@reddark, if something went wrong and you want to post it, please use "LANG=C < command >" as santa told you, so that every one  can read the output.

Wenn etwas bei Dir falsch läuft und Du postest hier, so benutze bitte "LANG = C < Befehl >", damit auch Leute die kein Deutsch verstehen es lesen können.
Es hilft wirklich ;-)

Gruß hendrikL   
Title: Re: KDE Frameworks 5.6.0 + Plasma 5.2.0 + KDE Applications 14.12.2
Post by: piper on 2015/02/12, 12:57:54
Quote from: devil
kdesu [app] - command not found
kdesudo [app] - crashes


greetz
devil

Same here
Title: Re: KDE Frameworks 5.6.0 + Plasma 5.2.0 + KDE Applications 14.12.2
Post by: dibl on 2015/02/12, 13:04:05
Thanks.  My KDE 5 VM has been beat on for months and I was wondering whether the issue was real or just my broken stuff.   :P
Title: Re: KDE Frameworks 5.6.0 + Plasma 5.2.0 + KDE Applications 14.12.2
Post by: ghettoblaster on 2015/02/12, 20:10:44
Fresh VM, indiansummer-kde-amd64, installation works fine. There is no preview in desktop-settings for wallpapers. Don't know if this is only in my installation.

Thanks for the good work, can't wait for first working release ;)
Title: Re: KDE Frameworks 5.6.0 + Plasma 5.2.0 + KDE Applications 14.12.2
Post by: hendrikL on 2015/02/12, 20:39:09
@gethoblaster
don't know if this is related  to kf5, i think you use kde-4.xy.
But a little hint for you
Code: [Select]
apt-cache search kde wallpapers
apt-cache search kde artwork

greetz
Title: Re: KDE Frameworks 5.6.0 + Plasma 5.2.0 + KDE Applications 14.12.2
Post by: devil on 2015/02/12, 22:06:09
Yakuake does not work. It complains it needs kosole, which, if you believe yakuake, is not installed while it is.


greetz
devil
Title: Re: KDE Frameworks 5.6.0 + Plasma 5.2.0 + KDE Applications 14.12.2
Post by: belze on 2015/02/13, 00:41:31
well done!
Title: Re: KDE Frameworks 5.6.0 + Plasma 5.2.0 + KDE Applications 14.12.2
Post by: Santa on 2015/02/13, 10:30:55

Hi, just for the record I have a gigantic list of issues to work on, among others:

@Santa -- I still don't see a working kdesu or kdesudo.  kdesudo {package} will bring up the prompt for root password, but then it crashes silently.

I got the same behaviour here. However now kauth works (i.e. I can change the hour of the system; it asks for my root password and does it) while some time ago it didn't.

I agree kdesudo shouldn't crash silently, so I take note for my to-do list.

Fresh VM, indiansummer-kde-amd64, installation works fine. There is no preview in desktop-settings for wallpapers. Don't know if this is only in my installation.

That's a problem which I have been experiencing since the begining, already in my gigantic to-do list.

Yakuake does not work. It complains it needs kosole, which, if you believe yakuake, is not installed while it is.

Indeed, it doesn't work anymore, this issue is new since this latest upload of KDE Applications; I think this happens because konsole is already working with frameworks while yakuake it's still in its kdelibs 4 version. Fortunately I think there is yakuake port to frameworks being worked on, but it wasn't released yet.  Needless to say, this problem just entered my to-do list.

Code: [Select]
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 plasma-desktop-data : Breaks: kde-workspace-data (< 4:5.0.0) but 4:4.11.13-2.1 is to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

Apparently you are the only one experiencing this problem, please check that you don't have weird things in /etc/apt/preferences or /etc/apt/preferences.d/*

Anyway, could you configure temporarily your system with the debug output of apt? You just have to add this line to /etc/apt.conf
Code: [Select]
Debug::pkgProblemResolver "true";
One you have done it, please paste the output of both "apt-get dist-upgrade" and "aptitude dist-upgrade".
Title: Re: KDE Frameworks 5.6.0 + Plasma 5.2.0 + KDE Applications 14.12.2
Post by: Santa on 2015/02/13, 18:50:14
Small news: KDE Frameworks was updated to 5.7.0 this morning. Also I'm doing some experiments to make Plasma 5 work with Qt 5.4.x (it's the recommended version for Plasma 5.2, sid[uction] is providing right now 5.3.2)
Title: Re: KDE Frameworks 5.6.0 + Plasma 5.2.0 + KDE Applications 14.12.2
Post by: Mte90 on 2015/02/20, 15:17:23
Yakuake problem confirmed.
Sigh without Yakuake i cannot upgrade to kde 5.x
Title: Re: KDE Frameworks 5.6.0 + Plasma 5.2.0 + KDE Applications 14.12.2
Post by: se7en on 2015/02/20, 16:09:03
I use tilda for now. Till the konsole problem is solved.
What I can not solve is the wallpaper can not be changed to a custom one.
Browse does not show any files or folders. If I manually edit the path to the file it will tell me that the file does not exist even if it does.
Everything else works stable so far.


Upgraded from a fairly new Indian Summer install.